**Concierge** is set of tools to help with the maintenance of Debian systems. 

Upon installation, the package installs a daily cron task to validate the system's configuration. 

## Goals

Notify upon issues. Keep noise to a minimum. Keep configuration to a minimum. 

## Tools

### concierge-backup

Create local and remote backups of directories and PostgreSQL databases. 

Configuration: /etc/concierge/backup.cfg

Dependency: borgbackup

### concierge-validate

Validate system configuration. 

Configuration: none

### concierge-permaudit

Audit filesystem permissions for possible security issues: 
* World-readable private keys (ssh, Let's Encrypt) and passwords (Git, SVN, Sympa, Dolibarr, ...)
* World-writable configuration files and scripts (/etc/init.d/*, /etc/profile, ...)
* World-writable executable search path ($PATH), python search path, and perl include path
* Sensitive information stored in the wrong place (passwords in /etc/passwd rather than /etc/shadow)

This tool only does file permissions checks, and does it imperfectly. 
You should not rely on this single tool for security auditing. 

Configuration: none

### concierge-status

Check system status.

Configuration: none
